Bug 447532 - Review Request: rubygem-krb5-auth - Kerberos binding for Ruby
Review Request: rubygem-krb5-auth - Kerberos binding for Ruby
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lalancette
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-20 08:23 EDT by Alan Pevec
Modified: 2013-11-29 04:23 EST (History)
6 users (show)

See Also:
Fixed In Version: 0.6-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-28 22:36:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
clalance: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Alan Pevec 2008-05-20 08:23:17 EDT
Spec URL: http://apevec.fedorapeople.org/rubygem-krb5-auth.spec
SRPM URL: http://apevec.fedorapeople.org/rubygem-krb5-auth-0.5-2.fc9.src.rpm
Description: Kerberos binding for Ruby
Comment 1 Alan Pevec 2008-05-20 08:34:05 EDT
rpmlint is silent
Koji scratch build is http://koji.fedoraproject.org/koji/taskinfo?taskID=619711
Comment 2 Chris Lalancette 2008-05-21 05:46:02 EDT
The Gem here is missing the COPYING file, which means that this effectively
doesn't have a proper license.  This has now been fixed in the upstream project.
 Please re-pull and re-package.

Chris Lalancette
Comment 3 Mamoru TASAKA 2008-05-21 05:54:12 EDT
Please create proper debuginfo rpm.
Comment 4 Alan Pevec 2008-05-21 06:57:41 EDT
Mamoru, thanks for the suggestion. I'll change .spec according to your
May I suggest to add this info to Fedora wiki? Best would to include the
knowledge how to best handle gems with C extensions into gem2rpm (in Fedora as
Comment 5 Mamoru TASAKA 2008-05-21 07:24:48 EDT
Actually I want to know how to handle arch-dependent ruby gem.
My way of creating rubygem-zoom rpm is rather ugly, however 
currently I don't know other way.
Comment 6 Alan Pevec 2008-05-21 12:11:31 EDT
Modified spec http://apevec.fedorapeople.org/rubygem-krb5-auth.spec
Source RPM (with locally generated 0.6 gem)

Koji scratch build is http://koji.fedoraproject.org/koji/taskinfo?taskID=622810

- added %doc COPYING
- removed .so stripping so that debuginfo is generated
  Thing is that .so built by gem install has install-dir embedded, which fails
check-buildroot hence there was a workaround strip, as in almost all gem rpms
with extensions.
 Proper solution would be to fix "gem install" not to embed buildroot path into
Comment 7 David Lutterkort 2008-05-21 12:17:19 EDT
I don't have many words of wisdom on this - I remember back when we did
rubygem-mongrel, that I tried to get debuginfo generated, but failed; stripping
is of course a nasty workaround.

Might be worth asking on fedora-devel about it.
Comment 8 Chris Lalancette 2008-05-21 14:26:32 EDT
+ rpmlint output

Silent according to packager

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
+ package successfully builds on at least one architecture
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun
+ does not use Prefix: /usr
+ package owns all directories it creates
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8


n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if available
- reviewer should build the package in mock
- the package should build into binary RPMs on all supported architectures
+ review should test the package functions as described
n/a scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin

RubyGem specific:

+ packages that contain Ruby Gems must be called rubygem-%{gemname} where
gemname is the name from the Gem's specification.
+ source of the package must be the full URL to the released Gem archive; the
version of the package must be the Gem's version
+ the package must have a Requires and a BuildRequires on rubygems
+ package must provide rubygem(%{gemname}) where gemname is the name from the
Gem's specification. For every dependency on a Gem named gemdep, the package
must contain a Requires on rubygem(%{gemdep}) with the same version constraints
as the Gem
- The %prep and %build sections of the specfile should be empty.

Because this package wants to build -debuginfo RPMs, it actually does the
building/installing as you would from source.  Therefore, the %prep and %build
have normal build steps.

+ The Gem must be installed into %{gemdir} defined as

%define gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)

+ The install should be performed with the command

  gem install --local --install-dir %{buildroot}%{gemdir} --force %{SOURCE0}

  (this package also include the --rdoc switch, which should be fine)

+ The package must own the following files and directories:


+ Architecture-specific content must not be installed into %{gemdir}
+ If the Gem only contains pure Ruby code, it must be marked as BuildArch:
noarch. If the Gem contains binary content (e.g., for a database driver), it
must be marked as architecture specific, and all architecture specific content
must be moved from the %{gemdir} to the `%{ruby_sitearch}` directory during %install

This package is the latter; it is arch specific, and moves all of the stuff ino
ruby_sitearch as specified.

One minor issue with the package is that the COPYING file is in there twice,
because it is added once by the natural copying of the make output, and added
again because of the %doc COPYING in the %files section.  Very minor, though.

This looks good to go.

Comment 9 Alan Pevec 2008-05-21 14:53:15 EDT
New Package CVS Request
Package Name: rubygem-krb5-auth
Short Description: Kerberos binding for Ruby
Owners: apevec
Branches: F-8 F-9
InitialCC: clalance
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2008-05-22 14:37:52 EDT
cvs done.
Comment 11 Fedora Update System 2008-05-22 18:41:46 EDT
rubygem-krb5-auth-0.6-1.fc9 has been submitted as an update for Fedora 9
Comment 12 Fedora Update System 2008-05-22 18:43:30 EDT
rubygem-krb5-auth-0.6-1.fc8 has been submitted as an update for Fedora 8
Comment 13 Fedora Update System 2008-05-28 22:36:37 EDT
rubygem-krb5-auth-0.6-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-05-28 22:49:16 EDT
rubygem-krb5-auth-0.6-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Lukas Zapletal 2013-11-29 04:23:32 EST
Hello, this package is very stable (0.7 for several Fedora releases). Is there any chance of getting this into EPEL6? Thanks!

Note You need to log in before you can comment on or make changes to this bug.